package init_serve

import (
	"github.com/robfig/cron/v3"
	"hongze/hongze_wx_listen/global"
	"hongze/hongze_wx_listen/task"
)

func InitTask() {
	c := cron.New(cron.WithSeconds())

	//每1分钟检测一次，发送消息
	_, err := c.AddFunc("0 */1 * * * *", task.SendMsg)
	//_, err := c.AddFunc("*/5 * * * * *", task.SendMsg)
	if err != nil {
		global.LOG.Info("SendMsgTask err" + err.Error())
	}

	//每1分钟检测一次是否有待生成的消息
	_, err = c.AddFunc("10 */1 * * * *", task.AddMsgPushRecord)
	//_, err = c.AddFunc("*/5 * * * * *", task.AddMsgPushRecord)
	if err != nil {
		global.LOG.Info("AddMsgPushRecord err" + err.Error())
	}

	//每1分钟检测一次微信小助手是否在线
	_, err = c.AddFunc("5 */1 * * * *", task.ListenWechatOnline)
	if err != nil {
		global.LOG.Info("ListenWechatOnline err" + err.Error())
	}

	//每1小时处理超时一次未发送的消息需要停止
	_, err = c.AddFunc("5 * */1 * * *", task.StopMsgPushRecord)
	if err != nil {
		global.LOG.Info("StopMsgPushRecord err" + err.Error())
	}

	//task.A()

	c.Start()
}
