package models

import (
	"context"
	"hongze/hongze_wx_listen/global"
)

// WechatGroupHelperRelation 微信群与小助手关系表
type WechatGroupHelperRelation struct {
	WechatGroupId  int `gorm:"primaryKey;column:wechat_group_id;autoIncrement:false;" description:"微信群id"`
	WechatHelperId int `gorm:"primaryKey;column:wechat_helper_id;autoIncrement:false;"  description:"微信小助手id"`
}

func (m *WechatGroupHelperRelation) TableName() string {
	return "wechat_group_helper_relation"
}

// Create 添加记录
func (m *WechatGroupHelperRelation) Create() (err error) {
	err = global.DEFAULT_MYSQL.Create(m).Error

	return
}

// GetListByHelperId 通过小助手id获取所有关联的群信息
func (m *WechatGroupHelperRelation) GetListByHelperId(helperId int) (items []*WechatGroupHelperRelation, err error) {
	err = global.DEFAULT_MYSQL.WithContext(context.TODO()).Model(m).
		Where("wechat_helper_id = ? ", helperId).Find(&items).Error

	return
}

// CreateList 批量添加入库
func (m *WechatGroupHelperRelation) CreateList(list []WechatGroupHelperRelation) (err error) {
	err = global.DEFAULT_MYSQL.Create(list).Error

	return
}
