package models

import (
	"context"
	"hongze/hongze_wx_listen/global"
	"time"
)

// WechatGroupTag 微信群标签表
type WechatGroupTag struct {
	WechatGroupId int       `gorm:"primaryKey;autoIncrement:false;column:wechat_group_id;" description:"微信群id"`
	TagName       string    `gorm:"primaryKey;autoIncrement:false;column:tag_name;" description:"报告标签"`
	ModifyTime    time.Time `description:"修改时间"`
	CreateTime    time.Time `description:"发送时间"`
}

func (r *WechatGroupTag) TableName() string {
	return "wechat_group_tag"
}

// GetListByTagNameList 通过标签名称获取所有关联的群
func (m *WechatGroupTag) GetListByTagNameList(tagNameList []string) (items []*WechatGroupTag, err error) {
	err = global.DEFAULT_MYSQL.WithContext(context.TODO()).Model(m).
		Where("tag_name in (?) ", tagNameList).Group("wechat_group_id").Find(&items).Error

	return
}

// Create 添加记录
func (m *WechatGroupTag) Create() (err error) {
	err = global.DEFAULT_MYSQL.Create(m).Error

	return
}
