package models

import (
	"context"
	"hongze/hongze_wx_listen/global"
	"time"
)

// WechatHelper 微信小助手表
type WechatHelper struct {
	WechatHelperId   int       `gorm:"primaryKey;column:wechat_helper_id;" description:"微信小助手id"`
	WechatHelperName string    `description:"微信小助手名称"`
	WechatId         string    `description:"微信小助手标识"`
	Num              int       `description:"一分钟推送几条"`
	ServerUrl        string    `description:"服务器地址"`
	Enabled          int8      `description:"1:有效，0:禁用"`
	ModifyTime       time.Time `description:"修改时间"`
	CreateTime       time.Time `description:"发送时间"`
}

func (m *WechatHelper) TableName() string {
	return "wechat_helper"
}

func (m *WechatHelper) GetAllHelper() (items []*WechatHelper, err error) {
	err = global.DEFAULT_MYSQL.WithContext(context.TODO()).Model(m).
		Where("enabled = ?  ", 1).Find(&items).Error

	//Where("index_name = '' AND create_time<=? ", endTime).Find(&item).Error
	return
}

// GetByWechatId 根据微信小助手标识 获取信息
func (m *WechatHelper) GetByWechatId(wechatId string) (item *WechatHelper, err error) {
	err = global.DEFAULT_MYSQL.WithContext(context.TODO()).Model(m).
		Where("wechat_id = ?  ", wechatId).First(&item).Error

	//Where("index_name = '' AND create_time<=? ", endTime).Find(&item).Error
	return
}

// WechatHelperGroup 微信小助手表
type WechatHelperGroup struct {
	WechatHelperId   int       ` description:"微信小助手id"`
	WechatHelperName string    `description:"微信小助手名称"`
	WechatId         string    `description:"微信群标识"`
	Enabled          int8      `description:"1:有效，0:禁用"`
	WechatGroupId    int       ` description:"微信群id"`
	ModifyTime       time.Time `description:"修改时间"`
	CreateTime       time.Time `description:"发送时间"`
}

func GetAllWechatGroup() (items []*WechatHelperGroup, err error) {
	sql := `select a.*,b.wechat_group_id FROM wechat_helper a  join wechat_group_helper_relation b on a.wechat_helper_id = b.wechat_helper_id order by a.wechat_helper_id asc `
	err = global.DEFAULT_MYSQL.Raw(sql).Scan(&items).Error

	return
}
